progeCAD support, tips and troubleshooting forum. progeCAD works very similar to some versions of AutoCAD. Moderated.

Moderators: caddit, Moderators

#1423 by ftauto
Fri Jan 21, 2011 1:34 pm
Hello,

My Problem is i want hach (fill) a Circle by VBA.

So I Create a Object Hatch.
Dim objHatch As Hatch
objHatch = ThisDocument.ModelSpace.AddHatch(HatchType.vicHatchPatternTypePreDefined, "Solid", True)

And now I want do hatch the Cirlce Object in the Model Space, but how

Can you help me please.

#1427 by caddit
Fri Jan 28, 2011 4:36 pm
Hello ftauto,

here a VBA example courtesy of progeSOFT support:

Dim ha As Hatch
Dim ci As IntelliCAD.Circle
Dim ptCenter As IntelliCAD.Point
Dim selset As SelectionSet
Set ptCenter = New Point
Dim ptSeed As New Points
Call ptSeed.Add(ptCenter.x, ptCenter.y, ptCenter.z)
Dim arrayOfElements(1 To 1) As Entity
Set ha = ActiveDocument.ModelSpace.AddHatch(vicHatchPatternTypePreDefined, "SOLID", True)
Set ci = ActiveDocument.ModelSpace.AddCircle(ptCenter, 10)
Set selset = ActiveDocument.SelectionSets.Add("addhatch")
Set arrayOfElements(1) = ci
Call selset.AddItems(arrayOfElements)
Call ha.ApplyHatch(selset, ptSeed)
#1428 by ftauto
Mon Jan 31, 2011 8:17 am
Hello,

Thank you very much, now it works correctly

ftauto
#1694 by ftauto
Tue Nov 22, 2011 9:14 am
hello,

there is a problem with this code in the german version of proge cad.
In the englisch Version the code works correctly but when i want to use these exatly same code in the german version it does not work

Can you help me please or is there a differnt beetween german and englisch version.

Thank you

ftauto

#1697 by ftauto
Thu Nov 24, 2011 1:01 pm
Hello,


I use this versions
Englisch progeCad 2010
german progeCad 2010

Thank you

ftauto

#1701 by ftauto
Tue Nov 29, 2011 2:31 pm
When i Install progeCad and when i use 2011 must i by a new License

ftauto

#1703 by scanf
Wed Nov 30, 2011 2:19 pm
ftauto,


It wont cost anything to see only if this is an issue which was resolved in progeCAD 2011 German version. I will run in full-feature trial mode for 30 days.

#1704 by ftauto
Thu Dec 01, 2011 6:58 am
hello

Thank your for yor fast reply

But Now I want to upgrade my german version to english version 2011
Can i get a special price ?

ftauto

#1707 by caddit
Tue Dec 06, 2011 6:48 am
Hello ftauto,


You should contact your CADDIT sales representative via email, give them the link to this discussion and explain your situation. A German -> English license conversion upgrade is a bit unusual but they might be able to come up with something for you.